<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage ananke
 * @since Ananke 3.4.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<?php global $theme_option; ?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	
	<!-- Favicons
	================================================== -->
	<?php if($theme_option['favicon'] !=''){ ?>
		<link rel="shortcut icon" href="<?php echo esc_url($theme_option['favicon']['url']); ?>" type="image/png">
	<?php } ?>
	<?php if($theme_option['apple_icon'] !=''){ ?>
		<link rel="apple-touch-icon" href="<?php echo esc_url($theme_option['apple_icon']['url']); ?>">
	<?php } ?>
	<?php if($theme_option['apple_icon_72'] !=''){ ?>
		<link rel="apple-touch-icon" sizes="72x72" href="<?php echo esc_url($theme_option['apple_icon_72']['url']); ?>">
	<?php } ?>
	<?php if($theme_option['apple_icon_114'] !=''){ ?>
		<link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($theme_option['apple_icon_114']['url']); ?>">
	<?php } ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> >
	<div class="page-overlay"></div>
	<div id="menu-wrap" class="menu-back cbp-af-header">
		<div class="container">
			<div class="twelve columns">				
				<a href="<?php echo esc_url(home_url('/')); ?>" class="logo" ></a>				
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'slimmenu homemenu' ) ); ?>
			</div>
		</div>
	</div>	